Bug 1026042 - Review Request: polly - Linux Twitter client designed for multiple columns of multiple accounts
Review Request: polly - Linux Twitter client designed for multiple columns of...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 824218 (view as bug list)
Depends On: 1007354
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 19:38 EDT by Michele Baldessari
Modified: 2015-07-21 08:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-25 18:14:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michele Baldessari 2013-11-02 19:38:47 EDT
Spec URL: http://acksyn.org/files/rpms/polly/polly.spec
SRPM URL: http://acksyn.org/files/rpms/polly/polly-0.93.11-1.fc20.src.rpm
Description: 
Polly is a Linux Twitter client designed for managing multiple
columns of multiple accounts, purposefully keeping them
separated instead of merged.

Fedora Account System Username: mbaldessari
Note: There was a previous review request where the original reporter lost interest - https://bugzilla.redhat.com/show_bug.cgi?id=824218
As suggested there in c#17
Comment 1 Michael Schwendt 2013-11-02 20:19:18 EDT
As a quickstart, run "fedora-review -b 1026042" and examine its various results.


> Summary:Linux Twitter client designed for multiple columns
> of multiple accounts

Linux, eh? ;-)


> desktop-file-install \
> …
> desktop-file-validate 

Note that desktop-file-install also validates the file, so you only need to run either one, not both.


> %{_datadir}/icons/*/*/*/*

If the package doesn't "Requires: hicolor-icon-theme", there are multiple unowned directories in the /usr/share/icons/ tree.

  https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
  https://fedoraproject.org/wiki/Packaging:UnownedDirectories

> %{_datadir}/%{name}/iconsets

Here the directory %{_datadir}/%{name} is not included.
Comment 2 Michele Baldessari 2013-11-02 21:00:46 EDT
Holy Batman! That was fast ;)

(In reply to Michael Schwendt from comment #1)
> As a quickstart, run "fedora-review -b 1026042" and examine its various
> results.

Ha! Good to know, I was a bit concerned that it did other admin stuff as well.

> > Summary:Linux Twitter client designed for multiple columns
> > of multiple accounts
> Linux, eh? ;-)

Ok ok, I removed it ;)
 
> > desktop-file-install \
> > …
> > desktop-file-validate 
> 
> Note that desktop-file-install also validates the file, so you only need to
> run either one, not both.

Ack. Removed. 

> > %{_datadir}/icons/*/*/*/*
> 
> If the package doesn't "Requires: hicolor-icon-theme", there are multiple
> unowned directories in the /usr/share/icons/ tree.
> 
>  
> https://fedoraproject.org/wiki/Packaging:
> Guidelines#File_and_Directory_Ownership
>   https://fedoraproject.org/wiki/Packaging:UnownedDirectories

Ah wasn't aware of this. Fixed.

> > %{_datadir}/%{name}/iconsets
> 
> Here the directory %{_datadir}/%{name} is not included.

Fixed as well.

Hohum fedora-review barfs a bit due to the spaces+() in the tarname and the directory.
I'll look into that and then upload a fresh package.

Thanks for the feedback and regards,
Michele
Comment 3 Conscious User 2013-11-02 21:33:12 EDT
Polly developer here. Thank you very much for your effort! I don't know anything about Fedora packaging, but if any of the issues found is something better solved upstream, please let me know.
Comment 4 Michele Baldessari 2013-11-03 13:58:53 EST
Hi Marcelo,

actually I noticed in the latest upstream tgz you have added a COPYRIGHT file
that states the following:
Files: share/icons/*
Copyright: 2011, Joern Konopka
           2011, Georgi Karavasilev
License: CC-BY-NC-SA-3
 This work is licensed under a Creative Commons
 Attribution-NonCommercial-ShareAlike 3.0 Unported License.

 You should have received a copy of the license along with this
 work.  If not, see <http://creativecommons.org/licenses/by-nc-sa/3.0/>.

$ find share/icons/ -type f |wc -l
25

If CC has the NC clause it won't be fit for Fedora (and neither Debian FWIW) 
as it makes the whole distribution/download quite a dodgy ground (even covering 
CD download bandwidth costs with advertising could be violating the license in 
certain jurisdictions). As we're really just talking about a single icon (in
different sizes or themes), can you either:
A) Ask the upstream authors of the icons to relicense the icons to a more 
friendly license (CC-BY or CC-BY-SA for example):
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses_2

B) Get a completely different icon for the program that is licensed under one
of the above licenses.

I theoretically could prepare a source tarball without the problematic
icons (http://fedoraproject.org/wiki/Packaging:SourceURL#When_Upstream_uses_Prohibited_Code), but it makes 
zero sense for something that can be trivially fixed by upstream and you
might want to fix it anyway if you are interested in polly being adopted
by most distros ;)

Thanks,
Michele
Comment 5 Conscious User 2013-11-03 14:22:23 EST
I am contacting the icon authors and will post here as I make progress. They will probably agree to relicense.
Comment 6 Christopher Meng 2013-11-04 23:31:03 EST
*** Bug 824218 has been marked as a duplicate of this bug. ***
Comment 7 Conscious User 2013-12-04 04:44:22 EST
For the record, I eliminated the python-keyring dependency in 0.93.11.

However, the icon author has disappeared from the face of the Earth. I'm still trying to contact him, but it's not the first time this happens and I have no prediction of when I'll manage to do it.
Comment 8 Michele Baldessari 2014-02-25 18:14:40 EST
I am closing this one as I think between birdie and corebird we have already
quite some decent UI-friendly clients in Fedora, this was not the case
when I started packaging polly.

If someone feels like pursuing this further, packages will stay up here:
http://acksyn.org/files/rpms/polly/

Note You need to log in before you can comment on or make changes to this bug.